_base=ffcx
pkgname=python-fenics-${_base}
pkgdesc="FEniCS Form Compiler"
pkgver=0.3.0
pkgrel=1
arch=(any)
url="https://github.com/FEniCS/${_base}"
license=(LGPL3)
depends=(python-numpy python-cffi python-fenics-basix 'python-fenics-ufl>=2021.2.0')
makedepends=(python-setuptools)
checkdepends=(python-pytest)
optdepends=('python-pygraphviz: for x')
# provides=('')
source=(${url}/archive/v${pkgver}.tar.gz)
sha512sums=('')

build() {
  cd ${_base}-${pkgver}
  export PYTHONHASHSEED=0
  python setup.py build
}

check() {
  cd ${_base}-${pkgver}
  # python -c "from setuptools import setup; setup();" install --root="${PWD}/tmp_install" --optimize=1 --skip-build
  # PYTHONPATH="${PWD}/tmp_install$(python -c "import site; print(site.getsitepackages()[0])"):${PYTHONPATH}"
  python -m pytest
}

package() {
  cd ${_base}-${pkgver}
  PYTHONPYCACHEPREFIX="${PWD}/.cache/cpython/" python setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1 --skip-build
  install -Dm 644 LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
}
